For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vertragssicherheit

Abruf Vertragssicherheiten

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

Idinteger · int32Optional
LicenseAgreementIdinteger · int32Optional
ContractSecurityTypeIdinteger · int32Optional
ContractSecurityTypestring · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
CollateralDebitAmountnumber · decimalOptional
CollateralActualAmountnumber · decimal · nullableOptional
CollateralDatestring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Ratesboolean · nullableOptional
FormerVirtualIbanstring · nullableOptional
ContractNotestring · nullableOptional
get/openwowi/v1.0/RentAccounting/ContractSecurity
GET /openwowi/v1.0/RentAccounting/ContractSecurity HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "LicenseAgreementId": 1,
    "ContractSecurityTypeId": 1,
    "ContractSecurityType": "text",
    "ValidFrom": "2026-08-18",
    "ValidTo": "2026-08-18",
    "CollateralDebitAmount": 1,
    "CollateralActualAmount": 1,
    "CollateralDate": "2026-08-18",
    "Rates": true,
    "FormerVirtualIban": "text",
    "ContractNote": "text"
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
economicUnitIdinteger · int32Optional
economicUnitIdNumstringOptional
useUnitIdinteger · int32Optional
useUnitNumberstringOptional
licenseAgreementIdinteger · int32Optional
licenseAgreementIdNumstringOptional
licenseAgreementActiveOnstring · date-timeOptional
contractSecurityIdinteger · int32Optional
contractSecurityIdNumstringOptional
contractSecurityActiveOnstring · date-timeOptional
includeBankingbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
ValidFromstring · dateOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
CollateralDebitAmountnumber · decimalOptional
CollateralActualAmountnumber · decimal · nullableOptional
CollateralDatestring · date · nullableOptionalExample: 2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
RateAgreementbooleanOptional
ContractNotestring · nullableOptional
get/openwowi/v1.2/RentAccounting/ContractSecurity
GET /openwowi/v1.2/RentAccounting/ContractSecurity HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "ValidFrom": "2026-08-18",
    "ValidTo": "2026-08-18",
    "CollateralDebitAmount": 1,
    "CollateralActualAmount": 1,
    "CollateralDate": "2026-08-18",
    "RateAgreement": true,
    "ContractNote": "text",
    "LicenseAgreement": {
      "Id": 1,
      "IdNum": "text",
      "UseUnit": {
        "Id": 1,
        "UseUnitNumber": "text"
      }
    },
    "Type": {
      "Id": 1,
      "Code": "text"
    },
    "Banking": {
      "Id": 1,
      "UseVirtualIban": true,
      "VirtualIban": "text",
      "FormerVirtualIban": "text",
      "CollectiveAccount": {
        "NoRealBankAccount": true,
        "Iban": "text",
        "Bic": "text",
        "AccountHolder": "text"
      }
    }
  }
]

Zuletzt aktualisiert